#
#       Makefile for math1
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

ROOTDIR     = ..\..

SUBDIRS     = BLKLIB GNMLIB INDXLIB LRLLIB RFBLIB SYSLIB \
              VIBLIB VRBLIB CHRLIB FNCLIB IFALIB INTLIB \
              RFALIB SUBLIB VIALIB VRALIB MAPLIB CTRLIB \
              XFCLIB GT2DLIB OSLIB
!include $(ROOTDIR)\MkInclude.win

build:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_POSTTARGET=build-exec
build-exec:
    @echo Entering math1

install:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=install-exec
install-exec-unique:
!if "$(FCVER)" == "50"
    copy advapi32.lib $(ROOTDIR)
!endif

clean:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=clean-exec
clean-exec-unique:

